<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlSubFrameCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlSubFrameCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Advance Frame config API Subframe configuration.  
 <a href="structrl_sub_frame_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a38be0d9e12c416cd4836478c4ce21265"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38be0d9e12c416cd4836478c4ce21265"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#a38be0d9e12c416cd4836478c4ce21265">forceProfileIdx</a></td></tr>
<tr class="memdesc:a38be0d9e12c416cd4836478c4ce21265"><td class="mdescLeft">&#160;</td><td class="mdescRight">Force profile index. This is applicable only if FORCE_SINGLE_PROFILE is set to 1. <br /></td></tr>
<tr class="separator:a38be0d9e12c416cd4836478c4ce21265"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acecdfc86f060ac3b35cbbb15ed31056b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acecdfc86f060ac3b35cbbb15ed31056b"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#acecdfc86f060ac3b35cbbb15ed31056b">chirpStartIdx</a></td></tr>
<tr class="memdesc:acecdfc86f060ac3b35cbbb15ed31056b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start Index of Chirp Valid range = 0-511. <br /></td></tr>
<tr class="separator:acecdfc86f060ac3b35cbbb15ed31056b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20e35e5b09f940f90a179f3a1b98e777"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20e35e5b09f940f90a179f3a1b98e777"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#a20e35e5b09f940f90a179f3a1b98e777">numOfChirps</a></td></tr>
<tr class="memdesc:a20e35e5b09f940f90a179f3a1b98e777"><td class="mdescLeft">&#160;</td><td class="mdescRight">Num of unique Chirps per burst including start index Valid range = 1 - 512. <br /></td></tr>
<tr class="separator:a20e35e5b09f940f90a179f3a1b98e777"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc5057e90112b9673174e21bf7a96ad1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc5057e90112b9673174e21bf7a96ad1"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#abc5057e90112b9673174e21bf7a96ad1">numLoops</a></td></tr>
<tr class="memdesc:abc5057e90112b9673174e21bf7a96ad1"><td class="mdescLeft">&#160;</td><td class="mdescRight">No. of times to loop through the unique chirps in each burst, without gaps, <br />
 using HW.<br />
 valid range = 1 to 255 <br />
. <br /></td></tr>
<tr class="separator:abc5057e90112b9673174e21bf7a96ad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9925f0c276cc7c74cf93e181c826ece1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9925f0c276cc7c74cf93e181c826ece1"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#a9925f0c276cc7c74cf93e181c826ece1">burstPeriodicity</a></td></tr>
<tr class="memdesc:a9925f0c276cc7c74cf93e181c826ece1"><td class="mdescLeft">&#160;</td><td class="mdescRight">burstPeriodicity &gt;= (numLoops)* (numOfChirps) + InterBurstBlankTime, <br />
 where InterBurstBlankTime is primarily for sensor calibration / monitoring, <br />
 thermal control, and some minimum time needed for triggering <br />
 next burst (~10us).<br />
 NOTE: Across bursts, if the value numOfChirps, is not a constant, then the <br />
 actual available blank time can vary and needs to be accounted for<br />
 1 LSB = 5 ns <br />
<br /></td></tr>
<tr class="separator:a9925f0c276cc7c74cf93e181c826ece1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2264f659a06d415d8473b9a72970a2ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2264f659a06d415d8473b9a72970a2ba"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#a2264f659a06d415d8473b9a72970a2ba">chirpStartIdxOffset</a></td></tr>
<tr class="memdesc:a2264f659a06d415d8473b9a72970a2ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp Start address increament for next burst, <br />
 next_burst_chirp_start_idx = last_chirp_end_index + <br />
 h_ChirpStartIdxIncr 0 - 511, 0 = 2nd burst = 1st burst <br />
. <br /></td></tr>
<tr class="separator:a2264f659a06d415d8473b9a72970a2ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c56435e40324ad718b2acbad7cdc309"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c56435e40324ad718b2acbad7cdc309"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#a0c56435e40324ad718b2acbad7cdc309">numOfBurst</a></td></tr>
<tr class="memdesc:a0c56435e40324ad718b2acbad7cdc309"><td class="mdescLeft">&#160;</td><td class="mdescRight">Num of bursts in the subframe. Valid Range: 1 - 512. <br /></td></tr>
<tr class="separator:a0c56435e40324ad718b2acbad7cdc309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca92d2540c2226dccb39deb836d5e341"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca92d2540c2226dccb39deb836d5e341"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#aca92d2540c2226dccb39deb836d5e341">numOfBurstLoops</a></td></tr>
<tr class="memdesc:aca92d2540c2226dccb39deb836d5e341"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of times to loop over the set of above defined bursts, in the sub frame.<br />
 Valid Range: 1 - 64 <br />
. <br /></td></tr>
<tr class="separator:aca92d2540c2226dccb39deb836d5e341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaa571f5e55df60cf4b648056dba6380"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acaa571f5e55df60cf4b648056dba6380"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#acaa571f5e55df60cf4b648056dba6380">reserved1</a></td></tr>
<tr class="memdesc:acaa571f5e55df60cf4b648056dba6380"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:acaa571f5e55df60cf4b648056dba6380"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0de27e075a49d99a186b215b06c7cb3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0de27e075a49d99a186b215b06c7cb3"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#af0de27e075a49d99a186b215b06c7cb3">subFramePeriodicity</a></td></tr>
<tr class="memdesc:af0de27e075a49d99a186b215b06c7cb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">subFramePeriodicity &gt;= Sum total time of all bursts + InterSubFrameBlankTime, <br />
 Where, Sum total time of all bursts = numOfBurstLoops * numOfBurst * <br />
 burstPeriodicity. <br />
 InterSubFrameBlankTime is primarily for sensor calibration / monitoring, <br />
 thermal control, transferring out any safety monitoring data if requested, <br />
 hardware reconfiguration for next sub frame, retriggering of next SF (~10us).<br />
 The hardware reconfiguration time, which is needed to transfer out the SF's <br />
 last chirp and additional 20us InterSubFrameBlankTime can be made 0 if only <br />
 one SF is enabled in the frame<br />
 1 LSB = 5 ns <br />
<br /></td></tr>
<tr class="separator:af0de27e075a49d99a186b215b06c7cb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dc6e825ac1c2f771c0d7e8b99cd50b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0dc6e825ac1c2f771c0d7e8b99cd50b9"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#a0dc6e825ac1c2f771c0d7e8b99cd50b9">reserved2</a></td></tr>
<tr class="memdesc:a0dc6e825ac1c2f771c0d7e8b99cd50b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a0dc6e825ac1c2f771c0d7e8b99cd50b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7b09055a8b248f3ab4cb87c574189d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7b09055a8b248f3ab4cb87c574189d8"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_sub_frame_cfg__t.html#ab7b09055a8b248f3ab4cb87c574189d8">reserved3</a></td></tr>
<tr class="memdesc:ab7b09055a8b248f3ab4cb87c574189d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ab7b09055a8b248f3ab4cb87c574189d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Advance Frame config API Subframe configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
